"{ Encoding: utf8 }"

"{ Package: 'stx:libview' }"

"{ NameSpace: Smalltalk }"

DeviceWorkstation subclass:#ElectronWorkstation
	instanceVariableNames:'bridge'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Graphics'
!

!ElectronWorkstation class methodsFor:'documentation'!

documentation
"
    Smalltalk at:#Display2 put:(ElectronWorkstation newFor:nil).
    (TopView onDevice:Display2) 
        label:'Hello';
        open
"
! !

!ElectronWorkstation methodsFor:'accessing & queries'!

isOpen
    "return true, if there is a valid connection to the display"

    ^ bridge notNil
! !

!ElectronWorkstation methodsFor:'initialization & release'!

closeConnection
    "close down connection to Display - usually never done"

    |b|

    (b := bridge) notNil ifTrue:[
        bridge := nil.
        b close
    ].

    "Created: 13.1.1997 / 22:10:07 / cg"
!

initializeFor:aHostAndPortStringOrNil
    bridge := NodeJSBridge newBridgeForHostAndPort:aHostAndPortStringOrNil.
    bridge 
        startBridgeIn:'.'
        command:'node' 
        environment:nil 
        debug:false.
    bridge connect.

    "
     ElectronWorkstation newFor:'localhost:8098'
    "
! !

!ElectronWorkstation class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !

